[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'eventlog' (#fcl)

# TEventLog.RaiseExceptionOnError

Determines whether logging errors are reported or ignored

## Declaration

Source position: eventlog.pp line 89

`published property TEventLog.RaiseExceptionOnError: Boolean read FRaiseExceptionOnError write FRaiseExceptionOnError;`

## Description

RaiseExceptionOnError determines whether an error during a logging operation will be signaled with an exception or not. If set to False, errors will be silently ignored, thus not disturbing normal operation of the program.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .